Page MenuHomePhabricator

Story: WikimetricsUser reads user names in a JSON report [8 pts]
Closed, ResolvedPublic

Description

Story is here: https://www.mediawiki.org/wiki/Analytics/Wikimetrics/Stories#List_usernames_in_reports_that_include_individual_results

when viewing a report in JSON format, we get the userIDs, but not the userNames. In the CSV output, we get both. The desire is to have the JSON output include the usernames.


Version: unspecified
Severity: enhancement
Whiteboard: u=WikimetricsUser c=Wikimetrics p=8

Details

Reference
bz72747

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 3:49 AM
bzimport set Reference to bz72747.
bzimport added a subscriber: Unknown Object (MLST).
kevinator lowered the priority of this task from Unbreak Now! to Normal.Nov 26 2014, 1:00 AM
kevinator set Security to None.
kevinator renamed this task from Story: WikimetricsUser reads user names in a JSON report to Story: WikimetricsUser reads user names in a JSON report [8pts].Nov 26 2014, 1:10 AM
kevinator lowered the priority of this task from Normal to Low.
kevinator moved this task from Incoming to Radar on the Analytics-Engineering board.
Milimetric renamed this task from Story: WikimetricsUser reads user names in a JSON report [8pts] to Story: WikimetricsUser reads user names in a JSON report [8 pts].Dec 2 2014, 4:12 PM
kevinator lowered the priority of this task from Low to Lowest.Dec 9 2014, 12:22 AM
kevinator moved this task from Backlog to triaging-low on the Analytics-Wikimetrics board.

Change 181770 had a related patch set uploaded (by Fhocutt):
Add user names to json reports, add corresponding test

https://gerrit.wikimedia.org/r/181770

Patch-For-Review

kevinator edited projects, added Analytics-Kanban; removed Analytics-Engineering.
kevinator moved this task from Next Up to In Code Review on the Analytics-Kanban board.

@Frances - please ping Analytics Eng on IRC

That is, please ping Analytics Eng on IRC for help getting Vagrant to work

Change 181770 merged by Nuria:
Add user names to json report, corresponding tests

https://gerrit.wikimedia.org/r/181770

QChris removed a subscriber: QChris.Mar 9 2015, 11:35 PM
Nuria closed this task as Resolved.Apr 6 2015, 2:31 PM